Subject: Re: [spfbis] Section 2.3 - Genesis of 30 days delays?

From: "Hector Santos" <[email-masked]>
Date: Fri, 8 Feb 2013 11:29:18 -0500

(Hit SEND to soon, I was going to propose some sample text in the end there)

   The general SMTP guideline of 4-5 days is part of a typical 
   mail delivery retry strategy [RFC5321]. False positives can
   occur when SPF policies are alter and the IP::DOMAIN SPF
   associates changes. A change, such as updating records to 
   replace PTR with IP4/IP6 rules, should not be a concern with
   existing mail in delivery queues.

--
HLS
----- Original Message ----- 
From: "Hector Santos" <[email-masked]>
To: "Murray S. Kucherawy" <[email-masked]>
Cc: <[email-masked]>; "SM" <[email-masked]>
Sent: Friday, February 08, 2013 11:21 AM
Subject: Re: [spfbis] Section 2.3 - Genesis of 30 days delays?

I think if anything needs to be stated, is possibly an example sentence illustrating a type of SPF policy change which could affect existing mail in the delivery/outbound queue(s).

Offhand, its only an issue when the IP::DOMAIN LMAP/SPF association changes - not an issue for minor corrections and policy updates where the IP::DOMAIN association does not change.  Like I could decide after BIS is published to change all our current PTR SPF usage to specific IP4 rules. A big change for our DNS records maintenance procedure (someone needs to be aware IP/Machine changes requires updating SPF records), but overall, the IP::DOMAIN will be effectively the same so bo problem for emails in the loop.  This can help ease readers who now see the concerns of PTR usage and feel ok the change will not hurt the mail.

   The general SMTP guideline 4-5 days as part of a typical mail delivery retry strategies

--
HLS

----- Original Message ----- 
From: "Murray S. Kucherawy" <[email-masked]>
To: "John Levine" <[email-masked]>
Cc: <[email-masked]>; "SM" <[email-masked]>
Sent: Friday, February 08, 2013 10:40 AM
Subject: Re: [spfbis] Section 2.3 - Genesis of 30 days delays?

> Works for me.
> 
> 
> On Thu, Feb 7, 2013 at 10:12 PM, John Levine <[email-masked]> wrote:
> 
>> >>If you were to characterize the 30 days as a "consensus estimate" or
>> >>some such regarding a reasonable maximum time one might expect mail
>> >>to take to be either delivered or returned as undeliverable, it
>> >>would appear less arbitrary.
>>
>> The reality is that we're pulling it out of our rears.
>>
>> RFC 5321 says that SMTP deliveries can take five days, and my
>> understanding has always been that you should be prepared for mail to
>> trickle in for up to a week.  But do we have any idea about the actual
>> practices of people who do off line SPF verification?  Do they wait a
>> week? A month? A year?
>>
>> In DKIM (yes, I know this isn't DKIM) we made a concrete decision that
>> DKIM isn't for archival verification of messages, it's for checking
>> messages in transit, and in that way SPF is similar.  I would also
>> remember that SPF records depend on MX, A, and other records that have
>> their own update schedules.
>>
>> My preference would be to point to 5321 for how long a message might
>> be in transit, and to note that while it's not forbidden to do offline
>> checks, the closer to the time of receipt you do the checks, the more
>> likely you are to get the answer that the domain owner intended.
>>
>> _______________________________________________
>> spfbis mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/spfbis
>>
>

--------------------------------------------------------------------------------

> _______________________________________________
> spfbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spfbis
>